GET RestApi/personal/mediarecorder/ziggeo/{region}/video/{videoId}/streams/v1

Parameter is left only for backwards compatibility, it's not in use.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
videoId

string

Required

region

string

Required

Body Parameters

None.

Response Information

Resource Description

Collection of Itsolutions.Itslearning.ItslCore.BusinessLayer.ZiggeoRecorder.ZiggeoVideoStream
NameDescriptionTypeAdditional information
IsReady

boolean

None.

IsStreamable

boolean

None.

token

string

None.

state

integer

None.

streamable

integer

None.

video_type

string

None.

video_size

integer, 64 bit

None.

video_width

integer

None.

audio_size

integer, 64 bit

None.

video_height

integer

None.

duration

decimal number

None.

has_audio

boolean

None.

streamable_string

string

None.

state_string

string

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "token": "sample string 1",
    "state": 1,
    "streamable": 1,
    "video_type": "sample string 2",
    "video_size": 1,
    "video_width": 1,
    "audio_size": 1,
    "video_height": 1,
    "duration": 1.1,
    "has_audio": true,
    "streamable_string": "sample string 3",
    "state_string": "sample string 4",
    "IsReady": false,
    "IsStreamable": false
  },
  {
    "token": "sample string 1",
    "state": 1,
    "streamable": 1,
    "video_type": "sample string 2",
    "video_size": 1,
    "video_width": 1,
    "audio_size": 1,
    "video_height": 1,
    "duration": 1.1,
    "has_audio": true,
    "streamable_string": "sample string 3",
    "state_string": "sample string 4",
    "IsReady": false,
    "IsStreamable": false
  }
]

application/xml, text/xml

Sample:
<ArrayOfZiggeoVideoStream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.ItslCore.BusinessLayer.ZiggeoRecorder">
  <ZiggeoVideoStream>
    <AudioSize>1</AudioSize>
    <Duration>1.1</Duration>
    <HasAudio>true</HasAudio>
    <State>1</State>
    <StateString>sample string 4</StateString>
    <Streamable>1</Streamable>
    <StreamableString>sample string 3</StreamableString>
    <Token>sample string 1</Token>
    <VideoHeight>1</VideoHeight>
    <VideoSize>1</VideoSize>
    <VideoType>sample string 2</VideoType>
    <VideoWidth>1</VideoWidth>
  </ZiggeoVideoStream>
  <ZiggeoVideoStream>
    <AudioSize>1</AudioSize>
    <Duration>1.1</Duration>
    <HasAudio>true</HasAudio>
    <State>1</State>
    <StateString>sample string 4</StateString>
    <Streamable>1</Streamable>
    <StreamableString>sample string 3</StreamableString>
    <Token>sample string 1</Token>
    <VideoHeight>1</VideoHeight>
    <VideoSize>1</VideoSize>
    <VideoType>sample string 2</VideoType>
    <VideoWidth>1</VideoWidth>
  </ZiggeoVideoStream>
</ArrayOfZiggeoVideoStream>